# Asr结果为空异常
class AsrResultNoneError(Exception):
    def __init__(self, message="Asr Result is None!"):
        super().__init__(message)
        self.message = message

# 如果asr_results中没有结果异常
class NoAsrResultsError(Exception):
    def __init__(self, message="No Asr Results!"):
        super().__init__(message)
        self.message = message

# 未知的火山引擎模型
class UnknownVolcEngineModelError(Exception):
    def __init__(self, message="Unknown Volc Engine Model!"):
        super().__init__(message)
        self.message = message

# 未知LLM返回帧
class UnkownLLMFrame(Exception):
    def __init__(self, message="Unkown LLM Frame!"):
        super().__init__(message)
        self.message = message

# 异常LLM返回帧
class AbnormalLLMFrame(Exception):
    def __init__(self, message="Abnormal LLM Frame!"):
        super().__init__(message)
        self.message = message

# token超出阈值异常
class TokenOutofRangeError(Exception):
    def __init__(self, message="Token Out of Range!"):
        super().__init__(message)
        self.message = message

# 接收到端侧杂音异常
class SideNoiseError(Exception):
    def __init__(self, message="Side Noise!"):
        super().__init__(message)
        self.message = message
        
# Session不存在异常
class SessionNotFoundError(Exception):
    def __init__(self, message="Session Not Found!"):
        super().__init__(message)
        self.message = message

class LlmResultNoneError(Exception):
    def __init__(self, message="LLM Result is None!"):
        super().__init__(message)
        self.message = message

# 大模型返回结束(非异常)
class LLMResponseEnd(Exception):
    def __init__(self, message="LLM Response End!"):
        super().__init__(message)
        self.message = message

# 进入静音模式（非异常）
class EnterSlienceMode(Exception):
    def __init__(self, message="Enter Slience Mode!"):
        super().__init__(message)
        self.message = message

# 处于静音模式(非异常)
class SlienceMode(Exception):
    def __init__(self, message="Slience Mode!"):
        super().__init__(message)
        self.message = message
